- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# cWatch_uchar Class Reference
[Internal classes]

`#include <cwatch.h>`

Inheritance diagram for cWatch_uchar:

List of all members.

## Detailed Description

Watch class, specifically for unsigned char.

## Public Member Functions
virtual const char * | className () const
virtual bool | supportsAssignment () const
virtual std::string | info () const
virtual void | assign (const char *s)

## Member Function Documentation

virtual void cWatch_uchar::assign | ( | const char * | s | ) | `[inline, virtual]`

| Changes the watched variable's value. May only be called if supportsAssignment() returns true. Reimplemented from cWatchBase.

virtual const char* cWatch_uchar::className | ( |  | ) | const`[inline, virtual]`

| Returns a pointer to the class name string. This method is implemented using typeid (C++ RTTI), and it does not need to be overridden in subclasses. Reimplemented from cPolymorphic.

virtual std::string cWatch_uchar::info | ( |  | ) | const`[inline, virtual]`

| Can be redefined to produce a one-line description of object into `buf'. The string appears in the graphical user interface (Tkenv) e.g. when the object is displayed in a listbox. The returned string should possibly be at most 80-100 characters long, and must not contain newline. See also: detailedInfo() Reimplemented from cPolymorphic.

virtual bool cWatch_uchar::supportsAssignment | ( |  | ) | const`[inline, virtual]`

| Tells if changing the variable's value via assign() is supported. Implements cWatchBase.

The documentation for this class was generated from the following file:

- cwatch.h